<?php

namespace Queue\Src;

use Dever;

class Data implements Core
{
	private $data = array();

	private function init($key)
	{
		if (empty($this->data[$key])) {
			$this->data[$key] = array();
		}
	}

	public function push($value, $key)
	{
		$this->init($key);
		return array_push($this->data[$key], $value);
	}

	public function pop($key)
	{
		$this->init($key);
		return array_shift($this->data[$key]);
	}

	public function len($key)
	{
		$this->init($key);
		return count($this->data[$key]);
	}
}
