<?php

namespace Queue\Src;

use Dever;

class Db implements Core
{
	private $db;

	public function __construct()
	{
		$this->db = Dever::db('queue/data');
	}

	public function push($value, $key)
	{
		$data = array('add_key' => $key, 'add_value' => $value);
		return $this->db->insert($data);
	}

	public function pop($key)
	{
		$data = $this->db->one(array('option_key' => $key));
		if ($data) {
			$this->db->delete($data['id']);
			return $data['value'];
		}
		return false;
	}

	public function len($key)
	{
		return $this->db->total(array('option_key' => $key));
	}
}
